## rubygems 1.7.2

=== debian/changelog ===
rubygems (1.7.2-1) unstable; urgency=low

  [ Lucas Nussbaum ]
  * New upstream release.
  * Switch to gem2deb-based packaging. Rename source and binary packages.
  * Drop 50_add_missing_require_yaml.diff: fixed upstream.
  * Change 01_default_gem_path.diff:
    + executables are now installed to /usr/local/bin.
    + but the other files created by rubygems stay in /var/lib/gems/1.8.
    Several commenters in #448639 and #403407 argued in favor of the switch to
    /usr/local/bin. Those two bugs can therefore be closed. However, the issue
    is not completely solved, as rubygems still installs files in /var/lib/gems.
    Nobody in the bug logs explained why that was an issue. If you care about
    it, please open a new bug. Closes: #448639, #403407
  * Add disable-failing-tests.diff: disable tests that are failing due to
    Debian-specific changes to rubygems.

  [ Daigo Moriwaki ]
  * Switched the build framework from cdbs to dh. (thanks to Lucas)

 -- Daigo Moriwaki <daigo@debian.org>  Fri, 29 Apr 2011 19:07:08 +0900

libgems-ruby (1.6.2-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Bumped up Standards-Version to 3.9.1.
    - The rubygems package recommends ruby-dev
      (Closes: #466189, #600165)
    - Ruby 1.8.7 or later is required by the upstream.
    - ruby1.9.1 is no longer required for build.
  * debian/changelog: Replaced the 'debianize' word.

 -- Daigo Moriwaki <daigo@debian.org>  Fri, 11 Mar 2011 23:28:38 +0900

libgems-ruby (1.3.7-3) unstable; urgency=low

  [ Lucas Nussbaum ]
  * Team Upload.
  * Recommend libruby1.8-dev and build-essential instead of suggesting them,
    because we have to answer that FAQ too frequently. LP: #244742

  [ Clint Byrum ]
  * debian/patches/50_add_missing_require_yaml.diff require 'yaml' in 
    lib/rubygems/specification.rb (Closes: #597554)

 -- Clint Byrum <clint@ubuntu.com>  Wed, 03 Nov 2010 13:15:02 -0700

libgems-ruby (1.3.7-2) unstable; urgency=high

  * Team upload.
  * Drop rubygems for 1.9.1, as it was moved to the ruby1.9.1 source package
    in version 1.9.2.0-1.
  * Provide a way to override Debian's disabling of gem update --system by
    setting an environment variable.
    This change is a compromise solution to solve long-standing user complaints
    about Rubygems in Debian.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 11 Sep 2010 08:07:37 +0200

libgems-ruby (1.3.7-1) unstable; urgency=low

  [ Lucas Nussbaum ]
  * Team upload.
  * Drop rdoc1.8 and rdoc1.9.1 from Build-Depends, as those packages were
    merged into ruby1.8 and ruby1.9.1.

  [ Daigo Moriwaki ]
  * New upstream release. (Closes: #589511)
  * Converted dpatch to quilt.
  * Removed: debian/patches/20100408-version_requirements-r2459.dpatch,
    which has been applied by the upstream.

 -- Daigo Moriwaki <daigo@debian.org>  Mon, 19 Jul 2010 18:45:43 +0900

libgems-ruby (1.3.6-2) unstable; urgency=low

  * Added a patch: debian/patches/20100408-version_requirements-r2459.dpatch
    fixing an undefined method error (version_requirements=), which is a
    backport from the upstream r2459. Thanks to Jeremy Lal.
    (Closes: #576870)

 -- Daigo Moriwaki <daigo@debian.org>  Thu, 08 Apr 2010 21:54:01 +0900

libgems-ruby (1.3.6-1) unstable; urgency=low

  * New upstream release (Closes: #574801)
  * Added debian/README.source due to depending on dpatch to build.
  * debian/control: Bumped up Standards-Version to 3.8.4.

 -- Daigo Moriwaki <daigo@debian.org>  Wed, 07 Apr 2010 19:22:46 +0900

libgems-ruby (1.3.5-2) unstable; urgency=low

  * debian/rules: Fixed a FTBFS bug. Thanks to Jon Bernard for a patch.
    (Closes: #549778)

 -- Daigo Moriwaki <daigo@debian.org>  Mon, 26 Oct 2009 19:59:51 +0900

libgems-ruby (1.3.5-1) unstable; urgency=low

  * New upstream release.
  * Removed rubygems1.9 package. Instread, provide rubygems1.9.1 for
    ruby1.9.1.
  * added debian/fixshebang.sh to fix a shebang line.
  * debian/control: Bumped up Standards-Version to 3.8.2.

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 08 Aug 2009 14:30:17 +0900

libgems-ruby (1.3.4-1) unstable; urgency=low

  * New upstream release.

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 14 Jun 2009 17:33:44 +0900

libgems-ruby (1.3.3-1) unstable; urgency=low

  * New upstream release
  * Gems failed to build a gem package with a gemspec that does not have a
    homepage attribute. This issue has been fixed by the upstream. 
    (Closes: #529713)

 -- Daigo Moriwaki <daigo@debian.org>  Thu, 21 May 2009 23:02:55 +0900

libgems-ruby (1.3.2-1) unstable; urgency=low

  [ Daigo Moriwaki ]
  * New upstream release.
  * debian/control:
    - Bumped up the Standards-Version to 3.8.1.
    - Depend ${misc:Depends} as well.
  * debian/rules:
    - Removed a deprecated dependency to a 'TODO' file.
  * Bumped up the compat level to 7.
    - debian/compat
    - debian/control.

  [ Gunnar Wolf ]
  * Changed section to Ruby as per ftp-masters' request

 -- Daigo Moriwaki <daigo@debian.org>  Tue, 28 Apr 2009 21:18:02 +0900

libgems-ruby (1.3.1-1) experimental; urgency=low

  * New upstream release.
  * Removed debian/patches/21_avoid_ioseek.dpatch since the upstream checks
    I/O errors now.

 -- Daigo Moriwaki <daigo@debian.org>  Wed, 19 Nov 2008 00:03:20 +0900

libgems-ruby (1.2.0-3) unstable; urgency=low

  * debian/control:
    - `rubygems' is present again to provide a dependency
      package referring to rubygems1.8. 
    - Bumped up Standards-Version to 3.8.0: used ${binary:Version} instread.

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 31 Aug 2008 23:56:21 +0900

libgems-ruby (1.2.0-2) unstable; urgency=low

  * debian/rules: Fixed a file conflict with libruby1.9 (Closes: #493309)

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 03 Aug 2008 21:32:36 +0900

libgems-ruby (1.2.0-1) unstable; urgency=low

  * New upstream release. (Closes: #487820)
  * debian/control: Specified a minimum version of ruby1.9 because the 
    rubygems package was merged.


