=== debian/control ===
Source: rubygems
Section: ruby
Priority: optional
Maintainer: Daigo Moriwaki <daigo@debian.org>
Uploaders: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>, Lucas Nussbaum <lucas@lucas-nussbaum.net>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.46-7~), gem2deb (>= 0.2.2), rake
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/pkg-ruby-extras/rubygems.git
Vcs-Browser: http://git.debian.org/?p=pkg-ruby-extras/rubygems.git;a=summary
Homepage: http://rubygems.org/
XS-Ruby-Versions: ruby1.8

Package: rubygems
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends}, ruby1.8
Recommends: ruby1.8-dev, build-essential
Replaces: rubygems1.8 (<< 1.7.2-1~), rubygems-doc (<< 1.7.2-1~)
Conflicts: rubygems1.8 (<< 1.7.2-1~), rubygems-doc (<< 1.7.2-1~)
Provides: rubygems1.8, rubygems-doc
Description: package management framework for Ruby libraries/applications
 This is a way to package Ruby libraries/applications for distribution.
 RubyGems provides the ability to manage concurrent versions of libraries and
 dependencies between those libraries. Using RubyGems, you can:
   * download and install Ruby libraries easily
   * not worry about libraries A and B depending on different versions of
     library C
   * easily remove libraries you no longer use
 .
 This package provides Rubygems for Ruby 1.8. In Ruby 1.9.X, Rubygems is
 provided with the interpreter.

Package: rubygems1.8
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, rubygems
Description: Transitional package for rubygems
 This is a transitional package to ease upgrades to the rubygems
 package. It can safely be removed.

Package: rubygems-doc
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, rubygems
Description: Transitional package for rubygems
 This is a transitional package to ease upgrades to the rubygems
 package. It can safely be removed.
