## rubygems 1.8.12

=== debian/changelog ===
rubygems (1.8.12-1) unstable; urgency=low

  * New upstream release.

 -- Lucas Nussbaum <lucas@debian.org>  Tue, 20 Dec 2011 20:39:19 +0100
