## rubygems 1.8.15

=== debian/changelog ===
rubygems (1.8.15-1~bpo60+1) squeeze-backports; urgency=low

  * Backport to squeeze-backports.
  * Updated build-dep on debhelper to pull in proper version from BPO
  * Add myself to Uploaders.

 -- Micah Anderson <micah@debian.org>  Tue, 03 Apr 2012 14:54:56 -0400

rubygems (1.8.15-1) unstable; urgency=low

  * New upstream release.

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 21 Jan 2012 16:04:00 +0900

rubygems (1.8.12-2) unstable; urgency=low

  * debian/control: Build-Depends netbase as well to pass test cases.
    Thanks to Daniel Schepler for reporting and resolving this issue.
    (Closes: #655549)
  * debian/control: Priority's of rubygems1.8 and rubygems-doc are now
    extra, fixing lintian warnings.
  * debian/copyright: Fixed lintian warnings.

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 21 Jan 2012 14:34:29 +0900
