=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: ruby
 Priority: optional
 Maintainer: Daigo Moriwaki <daigo@debian.org>
-Uploaders: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>, Lucas Nussbaum <lucas@debian.org>
+Uploaders: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>, Lucas Nussbaum <lucas@debian.org>,
+ Micah Anderson <micah@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.2.2), rake, ruby-minitest
+Build-Depends: debhelper (>= 8.1.0), gem2deb (>= 0.2.2), rake, ruby-minitest, netbase
 Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/pkg-ruby-extras/rubygems.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ruby-extras/rubygems.git;a=summary
@@ -33,6 +34,7 @@
 
 Package: rubygems1.8
 Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: ${misc:Depends}, rubygems
 Description: Transitional package for rubygems
@@ -41,6 +43,7 @@
 
 Package: rubygems-doc
 Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: ${misc:Depends}, rubygems
 Description: Transitional package for rubygems
