## rubygems 1.8.24

=== debian/changelog ===
rubygems (1.8.24-1ubuntu1) quantal; urgency=low

  * Make the RubyGems fetcher use distro-provided ca-certificates
    (LP: #1057926)
    - debian/control: Add ca-certificates to rubygems depends so that
      rubygems can perform certificate verification
    - debian/rules: Don't install SSL certificates from upstream sources
    - debian/patches/20120927-disable_upstream_certs.patch: Use
      /etc/ssl/certs/ca-certificates.crt for the trusted CA certificates.

 -- Tyler Hicks <tyhicks@canonical.com>  Thu, 27 Sep 2012 20:37:55 -0700

rubygems (1.8.24-1) unstable; urgency=low

  * New upstream release. (Closes: #670228)
    - Fixes CVE-2012-2125 CVE-2012-2126.
  * debian/control:
    - Build-Depends on debhelper (>= 8.1.0). (Closes: #667054)
    - Bumps up Standards-Version to 3.9.3.
    - rubygems-doc no longer depends on rubygems,
      fixing a lintian warning: doc-package-depends-on-main-package.
  * Added a patch: debian/patches/20120608-fix-test_gem_platform.rb.diff
    - Imported from the upstream 4a85e2ac70579c32031766338505e85b2c392b27.
  * Added a patch: debian/patches/20120608-fix-assert_match.diff
    - Fixes the incorrect use of assert_match.  (Closes: #674401)

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 09 Jun 2012 18:22:42 +0900
