=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 RDOC = /usr/bin/rdoc1.8
 
 %:
-	dh $@ --buildsystem=ruby --with ruby,quilt
+	dh $@ --buildsystem=ruby --with ruby
 
 build: build-arch build-indep ;
 
@@ -25,6 +25,8 @@
 
 override_dh_auto_install:
 	dh_auto_install
+	# Do not install the SSL certs bundled in the upstream source
+	rm -rf debian/rubygems/usr/lib/ruby/vendor_ruby/rubygems/ssl_certs
 	mv debian/rubygems/usr/bin/gem debian/rubygems/usr/bin/gem1.8
 	rm debian/rubygems/usr/bin/update_rubygems # not needed
 	# we don't want to share rubygems with 1.9.
