=== debian/control ===
Source: rubygems
Section: ruby
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Lucas Kanashiro <kanashiro@debian.org>
Build-Depends: debhelper-compat (= 13),
               gem2deb (>= 1),
               rake,
               ruby,
               ruby-dev,
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/ruby-team/rubygems.git
Vcs-Browser: https://salsa.debian.org/ruby-team/rubygems
Homepage: https://rubygems.org
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all
Rules-Requires-Root: no

Package: ruby-rubygems
X-DhRuby-Root: .
Architecture: all
Multi-Arch: foreign
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby:any | ruby-interpreter,
         ${misc:Depends},
         ${shlibs:Depends}
# 1:2.7+2 Version of ruby (from src:ruby-defaults) that drops /usr/bin/gem
Breaks: ruby (<< 1:2.7+2~)
Replaces: ruby (<< 1:2.7+2~)
Description: Package management framework for Ruby
 A package (also known as a library) contains a set of functionality that can
 be invoked by a Ruby program, such as reading and parsing an XML file. These
 packages are called 'gems' and RubyGems is a tool to install, create, manage
 and load these packages in your Ruby environment. RubyGems is also a client for
 RubyGems.org, a public repository of Gems that allows you to publish a Gem that
 can be shared and used by other developers.

Package: ruby-bundler
X-DhRuby-Root: bundler
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-rubygems (= ${source:Version}),
         rubygems-integration,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: bundler (<< 1.11.2-1~)
Replaces: bundler (<< 1.11.2-1~)
Description: Manage Ruby application dependencies (runtime)
 Bundler manages a Ruby application's dependencies through its entire
 life, across many machines, systematically and repeatably.
 .
 This package must be used as dependency for checking application dependencies
 at runtime.

Package: bundler
Architecture: all
Depends: ruby-bundler (= ${bundler:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: build-essential,
            less,
            ruby-dev,
            sudo
Description: Manage Ruby application dependencies
 Bundler manages a Ruby application's dependencies through its entire
 life, across many machines, systematically and repeatably.
 .
 This is a dependency package which depends on a full Ruby development
 environment, it is targeted at application developers.
