## rubygems 3.3.5

=== debian/changelog ===
rubygems (3.3.5-2ubuntu1.2) jammy-security; urgency=medium

  * SECURITY UPDATE: ReDoS
    - debian/patches/CVE-2023-36617.patch: Fix regular expressions
      used to parse URLs in rfc2396_parser.rb and rfc3986_parser.rb.
    - CVE-2023-36617

 -- Edwin Jiang <edwin.jiang@canonical.com>  Thu, 11 Sep 2025 18:03:22 +0000

rubygems (3.3.5-2ubuntu1.1) jammy-security; urgency=medium

  * SECURITY UPDATE: ReDoS
    - debian/patches/CVE-2023-28755.patch: URI.parse should set empty
      string in host instead of nil in lib/uri/rfc3986_parser.rb, raise
      ArgumentError with empty host url again in
      lib/net/http/generic_request.rb.
    - CVE-2023-28755

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 02 Sep 2025 18:04:56 +0530

rubygems (3.3.5-2ubuntu1) jammy; urgency=medium

  * d/control: add ruby-test-unit (>= 3.3.9~) as b-d (LP: #1976264).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 03 Jun 2022 16:15:53 -0300

rubygems (3.3.5-2) unstable; urgency=medium

  * Don't consider gems provided by Debian packages as deleted
    (Closes: #1004195)

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 28 Jan 2022 11:53:50 -0300

rubygems (3.3.5-1) unstable; urgency=medium

  * New upstream release (LP: #1946190).
  * Remove patch, already applied by upstream
  * d/ruby-tests.skip: add tests trying to write in /var/lib/gems

 -- Lucas Kanashiro <kanashiro@debian.org>  Fri, 21 Jan 2022 12:06:47 -0300

rubygems (3.2.27-3) unstable; urgency=medium

  * Team upload.
  * d/bundler.docs: Add bundler/UPGRADING.md.
  * d/control (Standards-Version): Don't use the minor patch level.
    (Build-Depends): Add ruby-webrick (closes: #996526).
  * d/copyright: Add bundler copyright and license information.
    (Copyright): Update and add team.
  * d/watch: Update file.

 -- Daniel Leidert <dleidert@debian.org>  Tue, 23 Nov 2021 23:36:03 +0100

rubygems (3.2.27-2) unstable; urgency=medium

  * ruby-rubygems: make package installable when cross building.
    Change dependency from ruby to ruby:any

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 17 Oct 2021 13:17:21 -0300

rubygems (3.2.27-1) unstable; urgency=medium

  [ Lucas Kanashiro ]
  * New upstream release.
  * Remove patches, all applied by upstream \o/

  [ Antonio Terceiro ]
  * debian/ruby-tests.rake: follow changes in upstream test suite

  [ Lucas Kanashiro ]
  * d/ruby-tests.skip: skip some tests
    - Add tests which rely on running system commands
    - Add test which tries to build a gem native extension
  * d/p/0001-Use-pend-instead-of-skip-in-test-helper.patch: fix tests relying
    on git.
  * d/control: use ${ruby:Depends} instead of depending directly on ruby
  * Declare compliance with Debian Policy 4.6.0.1

 -- Lucas Kanashiro <kanashiro@debian.org>  Thu, 23 Sep 2021 16:46:14 -0300
