=== debian/control ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Source: rubygems
 Section: ruby
 Priority: optional
-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Lucas Kanashiro <kanashiro@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gem2deb (>= 1),
                rake,
                ruby,
                ruby-dev,
-Standards-Version: 4.5.1
+               ruby-test-unit (>= 3.3.9~),
+               ruby-webrick (>= 1.7.0)
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/ruby-team/rubygems.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/rubygems
 Homepage: https://rubygems.org
@@ -21,7 +24,7 @@
 Architecture: all
 Multi-Arch: foreign
 XB-Ruby-Versions: ${ruby:Versions}
-Depends: ruby:any | ruby-interpreter,
+Depends: ruby:any,
          ${misc:Depends},
          ${shlibs:Depends}
 # 1:2.7+2 Version of ruby (from src:ruby-defaults) that drops /usr/bin/gem
@@ -39,9 +42,9 @@
 X-DhRuby-Root: bundler
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
-Depends: ruby | ruby-interpreter,
-         ruby-rubygems (= ${source:Version}),
+Depends: ruby-rubygems (= ${source:Version}),
          rubygems-integration,
+         ${ruby:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: bundler (<< 1.11.2-1~)
