=== debian/tests/control ===
Tests: testsuite
Depends: build-essential, libxml2-dev, libz-dev, @, @builddeps@
Restrictions: allow-stderr needs-internet

Tests: bundle-gem bundle-bin-path
Depends: @

Tests: smoke-test
Depends: @
Restrictions: allow-stderr
