=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://github.com/rubygems/rubygems/releases \/.*\/v([a-z\d\.]*)\.tar\.gz
