## rubygems 3.3.15

=== debian/changelog ===
rubygems (3.3.15-2+deb12u1) bookworm; urgency=medium

  * Fix CVE-2025-27221.
    The URI handling methods (URI.join, URI#merge, URI#+) have an
    inadvertent leakage of authentication credentials because userinfo is
    retained even after changing the host.
     - d/p/CVE-2025-27221_*.patch
  * Fix CVE-2023-28755.
    A ReDoS issue was discovered in the URI component through 0.12.0 in Ruby
    through 3.2.1. The URI parser mishandles invalid URLs that have specific
    characters. It causes an increase in execution time for parsing strings
    to URI objects.
     - d/p/CVE-2023-28755.patch

 -- Lucas Kanashiro <kanashiro@debian.org>  Thu, 17 Apr 2025 22:54:07 -0300

rubygems (3.3.15-2) unstable; urgency=medium

  * Team upload
  * Fix debian/watch

 -- Lucas Nussbaum <lucas@debian.org>  Sun, 01 Jan 2023 09:50:51 +0100

rubygems (3.3.15-1) unstable; urgency=medium

  * New upstream release.
  * Add ruby-test-unit (>= 3.3.9~) as b-d (Closes: 1008361) (LP: #1976264)
  * d/ruby-tests.skip: add more tests trying to execute commands on the system
  * Declare compliance with Debian Policy 4.6.1

 -- Lucas Kanashiro <kanashiro@debian.org>  Thu, 02 Jun 2022 16:23:32 -0300
