=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: rubygems
 Section: ruby
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Lucas Kanashiro <kanashiro@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gem2deb (>= 1),
@@ -11,7 +10,7 @@
                ruby-dev,
                ruby-test-unit (>= 3.3.9~),
                ruby-webrick (>= 1.7.0)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/ruby-team/rubygems.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/rubygems
 Homepage: https://rubygems.org
