## rubygems 3.4.20

=== debian/changelog ===
rubygems (3.4.20-1) unstable; urgency=medium

  * Upload to unstable

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 19 Oct 2023 18:46:05 -0300

rubygems (3.4.20-1~0) experimental; urgency=medium

  * New upstream version 3.4.20
  * debian/ruby-tests.skip: add 2 new tests
  * Refresh patch
  * Gem::Platform: emulate 3.3.15 behavior on Ruby 3.1
    rubygems 3.4 calls a Linux platform something like aarch64-linux-gnu,
    where 3.3 called it just aarch64-linux. Given all the existing native
    extensions for Ruby 3.1 in the Debian archive had been built
    using rubygems 3.3, let's keep the old behavior on Ruby 3.1 as to not
    immediately break all the existing extensions.
  * debian/ruby-tests.rake: skip Gem::Platform tests under ruby 3.1
  * debian/ruby-tests.rake: don't load upstream Rakefile
  * debian/rules: adapt path to `gem` executable to the current upstream
    release
  * autopkgtest: rename test `testsuite` to `bundle-install-rails`
  * autopkgtest: bundle-install-rails: depend on libyaml-dev

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 16 Oct 2023 16:39:46 -0300
