## rubygems 3.6.3

=== debian/changelog ===
rubygems (3.6.3-1ubuntu0.1) plucky-security; urgency=medium

  * SECURITY UPDATE: denial of service in resolv
    - debian/patches/CVE-2025-24294.patch: Limit decompressed name length
    - CVE-2025-24294

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 02 Sep 2025 17:17:56 +0530

rubygems (3.6.3-1) unstable; urgency=medium

  [ Antonio Terceiro ]
  * New upstream version 3.6.3
  * Refresh patches
  * debian/ruby-tests.skip: add TestGemPackage#test_extract_symlink_parent_doesnt_delete_user_dir
  * debian/ruby-tests.rake: exclude test/rubygems/test_gem_commands_update_command.rb
  * debian/bundler.docs: address changed locations

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 23 Jan 2025 20:12:43 -0300
