## rubygems 3.6.6

=== debian/changelog ===
rubygems (3.6.6-1) unstable; urgency=medium

  * New upstream version 3.6.6
  * Includes updated uri library, fixing CVE-2025-27221.
  * Refresh patches

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 25 Mar 2025 15:18:09 -0300
