## rubygems 3.6.7

=== debian/changelog ===
rubygems (3.6.7-2ubuntu1) questing; urgency=medium

  * SECURITY UPDATE: denial of service in resolv
    - debian/patches/CVE-2025-24294.patch: Limit decompressed name length
    - CVE-2025-24294

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 02 Sep 2025 17:18:53 +0530

rubygems (3.6.7-2) unstable; urgency=medium

  * Ingore tests from TestGemBundledCA (Closes: #1078643)

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 09 Apr 2025 11:49:17 -0300

rubygems (3.6.7-1) unstable; urgency=medium

  * New upstream version 3.6.7
  * Refresh patches

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 08 Apr 2025 15:14:23 -0300
