=== debian/tests/control ===
Tests: bundle-install-rails
Depends: build-essential, libxml2-dev, libz-dev, libyaml-dev, @, @builddeps@
Restrictions: allow-stderr needs-internet

Tests: bundle-gem bundle-bin-path
Depends: @

Tests: smoke-test
Depends: @
Restrictions: allow-stderr
